org.modeshape.connector.meta.jdbc

## Class ForeignKeyMetadata

- java.lang.Object
- - org.modeshape.connector.meta.jdbc.ForeignKeyMetadata

-     @Immutable
      public class ForeignKeyMetadata
      extends Object

  Container for foreign key metadata. The fields in this class roughly parallel the information returned from the `DatabaseMetaData.getExportedKeys(String, String, String)` method.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ForeignKeyMetadata(String primaryKeyCatalogName, String primaryKeySchemaName, String primaryKeyTableName, String primaryKeyColumnName, String foreignKeyCatalogName, String foreignKeySchemaName, String foreignKeyTableName, String foreignKeyColumnName, int sequenceNr, int updateRule, int deleteRule, String foreignKeyName, String primaryKeyName, int deferrability)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDeferrability()`
    `int` | `getDeleteRule()`
    `String` | `getForeignKeyCatalogName()`
    `String` | `getForeignKeyColumnName()`
    `String` | `getForeignKeyName()`
    `String` | `getForeignKeySchemaName()`
    `String` | `getForeignKeyTableName()`
    `String` | `getPrimaryKeyCatalogName()`
    `String` | `getPrimaryKeyColumnName()`
    `String` | `getPrimaryKeyName()`
    `String` | `getPrimaryKeySchemaName()`
    `String` | `getPrimaryKeyTableName()`
    `int` | `getSequenceNr()`
    `int` | `getUpdateRule()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ForeignKeyMetadata

          protected ForeignKeyMetadata(String primaryKeyCatalogName,
                            String primaryKeySchemaName,
                            String primaryKeyTableName,
                            String primaryKeyColumnName,
                            String foreignKeyCatalogName,
                            String foreignKeySchemaName,
                            String foreignKeyTableName,
                            String foreignKeyColumnName,
                            int sequenceNr,
                            int updateRule,
                            int deleteRule,
                            String foreignKeyName,
                            String primaryKeyName,
                            int deferrability)

  - ### Method Detail

    - #### getPrimaryKeyCatalogName

          public String getPrimaryKeyCatalogName()

      Returns:
        the primary key catalog name (PKTABLE_CAT in the `DatabaseMetaData.getExportedKeys(String, String, String)` result set).

    - #### getPrimaryKeySchemaName

          public String getPrimaryKeySchemaName()

      Returns:
        the primary key schema name (PKTABLE_SCHEM in the `DatabaseMetaData.getExportedKeys(String, String, String)` result set).

    - #### getPrimaryKeyTableName

          public String getPrimaryKeyTableName()

      Returns:
        the primary key table name (PKTABLE_NAME in the `DatabaseMetaData.getExportedKeys(String, String, String)` result set).

    - #### getPrimaryKeyColumnName

          public String getPrimaryKeyColumnName()

      Returns:
        the primary key column name (PKCOLUMN_NAME in the `DatabaseMetaData.getExportedKeys(String, String, String)` result set).

    - #### getForeignKeyCatalogName

          public String getForeignKeyCatalogName()

      Returns:
        the foreign key catalog name (FKTABLE_CAT in the `DatabaseMetaData.getExportedKeys(String, String, String)` result set).

    - #### getForeignKeySchemaName

          public String getForeignKeySchemaName()

      Returns:
        the foreign key schema name (FKTABLE_SCHEM in the `DatabaseMetaData.getExportedKeys(String, String, String)` result set).

    - #### getForeignKeyTableName

          public String getForeignKeyTableName()

      Returns:
        the foreign key table name (FKTABLE_NAME in the `DatabaseMetaData.getExportedKeys(String, String, String)` result set).

    - #### getForeignKeyColumnName

          public String getForeignKeyColumnName()

      Returns:
        the foreign key column name (FKCOLUMN_NAME in the `DatabaseMetaData.getExportedKeys(String, String, String)` result set).

    - #### getSequenceNr

          public int getSequenceNr()

      Returns:
        the foreign key sequence number (KEY_SEQ in the `DatabaseMetaData.getExportedKeys(String, String, String)` result set).

    - #### getUpdateRule

          public int getUpdateRule()

      Returns:
        the foreign key update rule (UPDATE_RULE in the `DatabaseMetaData.getExportedKeys(String, String, String)` result set).

    - #### getDeleteRule

          public int getDeleteRule()

      Returns:
        the foreign key delete rule (DELETE_RULE in the `DatabaseMetaData.getExportedKeys(String, String, String)` result set).

    - #### getForeignKeyName

          public String getForeignKeyName()

      Returns:
        the foreign key name (FK_NAME in the `DatabaseMetaData.getExportedKeys(String, String, String)` result set).

    - #### getPrimaryKeyName

          public String getPrimaryKeyName()

      Returns:
        the primary key name (PK_NAME in the `DatabaseMetaData.getExportedKeys(String, String, String)` result set).

    - #### getDeferrability

          public int getDeferrability()

      Returns:
        the deferrability of the foreign key constraint evaluation (DEFERRABILITY in the `DatabaseMetaData.getExportedKeys(String, String, String)` result set).

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.